	program modif
c
	character*12 fich
	character*80 ligne
c
	write(*,'(a)') 'Liste de fichiers a lire : '
	read(*,'(a)') fich
	open(7,file=fich)
c
 1	continue
	read(7,'(a)',end=2) fich
	open(8,file=fich)
	open(9,file='c:\raw\'//fich)
c
	do 5 i=1,4
	read(8,'(a)') ligne
5	write(9,'(a)') ligne
	read(8,'(a)') ligne
	write(9,'(a66,a1,a13)') ligne(1:66),'E',ligne(68:80)
	
	read(8,'(a)') ligne
	write(9,'(a71,a1,a8)') ligne(1:71),'E',ligne(72:79)
	read(8,'(a)') ligne
	write(9,'(20x,a7,13x,a40)') 'ASHTECH',ligne(41:80)
	do 6 i=1,28
	read(8,'(a)') ligne
 6	write(9,'(a)') ligne
 7	continue
	read(8,'(a)',end=4) ligne
	write(9,'(a55)') ligne(1:55)
	goto 7
	
 4	goto 1
 2	end

	